import { ArrayResource } from './ArrayResource.mjs';
import { INSTALLED } from './autoDetectResource.mjs';
export { autoDetectResource } from './autoDetectResource.mjs';
import { BufferResource } from './BufferResource.mjs';
import { CanvasResource } from './CanvasResource.mjs';
import { CubeResource } from './CubeResource.mjs';
import { ImageBitmapResource } from './ImageBitmapResource.mjs';
import { ImageResource } from './ImageResource.mjs';
import { SVGResource } from './SVGResource.mjs';
import { VideoResource } from './VideoResource.mjs';
import '../../../constants.mjs';
import '../../../utils/settings.mjs';
import '../../../utils/is_mobile/index.mjs';
import '../../../color.mjs';
import '../../../utils/color/premultiply.mjs';
import '../../../utils/media/BoundingBox.mjs';
import '../../../runner.mjs';
import '../BaseTexture.mjs';

INSTALLED.push(ImageBitmapResource, ImageResource, CanvasResource, VideoResource, SVGResource, BufferResource, CubeResource, ArrayResource);

export { ArrayResource, BufferResource, CanvasResource, CubeResource, INSTALLED, ImageBitmapResource, ImageResource, SVGResource, VideoResource };
//# sourceMappingURL=index.mjs.map
